package cc.smtweb.system.bpm.web.engine.flow.entity;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/5/23 14:25
 * 活动之间的关系
 */
@SwTable("WF_TASK_REL")
public class TaskRel extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_TASK_REL";

    public TaskRel() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("trl_id");
    }

    /**
     * 主键
     */
    public void setId(long trl_id) {
        put("trl_id", trl_id);
    }

    /**
     * 流程实例id
     */
    public long getPriId() {
        return getLong("trl_pri_id");
    }

    /**
     * 流程实例id
     */
    public void setPriId(long trl_pri_id) {
        put("trl_pri_id", trl_pri_id);
    }

    /**
     * 前任务id
     */
    public long getSrcTaskId() {
        return getLong("trl_src_task_id");
    }

    /**
     * 前任务id
     */
    public void setSrcTaskId(long trl_src_task_id) {
        put("trl_src_task_id", trl_src_task_id);
    }

    /**
     * 目标任务id
     */
    public long getDstTaskId() {
        return getLong("trl_dst_task_id");
    }

    /**
     * 目标任务id
     */
    public void setDstTaskId(long trl_dst_task_id) {
        put("trl_dst_task_id", trl_dst_task_id);
    }
}